package com.kxs.adminap.service;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Dictionary;
import java.util.Hashtable;
import java.util.List;

public class DbConn {
    static String url = "jdbc:mysql://localhost:3306/GGSJ?useUnicode=true&characterEncoding=utf8";
    static String username = "root";
    static String password = "123456";
 
    public static List<Dictionary<String, Object>> Query(String sql) {
        List<Dictionary<String, Object>> list = new ArrayList<>();
        try {
            //利用反射的方法加载驱动器
            Class.forName("com.mysql.cj.jdbc.Driver");
    
            //使用Drivermanager的getConnectionn方法获取连接对象
            Connection root = DriverManager.getConnection(url, username, password);
    
            //获取statement对象
            Statement statement = root.createStatement();
    
            //指定sql语句,要执行增删改可使用executeUpdate（）方法
            ResultSet rs = statement.executeQuery(sql);
            ResultSetMetaData md = rs.getMetaData();//获取键名
            int columnCount = md.getColumnCount();//获取列的数量
            while (rs.next()) {
                Dictionary<String, Object> rowData = new Hashtable<>();//声明Map
                for (int i = 1; i <= columnCount; i++) {
                    Object val = rs.getObject(i);
                    if(val == null) val = "";
                    rowData.put(md.getColumnName(i), val);//获取键名及值
                }
                list.add(rowData);
            }

            rs.close();
            statement.close();
            root.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return list;
    }

    public static void Op(String sql) {
        try {
            //利用反射的方法加载驱动器
            Class.forName("com.mysql.cj.jdbc.Driver");
    
            //使用Drivermanager的getConnectionn方法获取连接对象
            Connection root = DriverManager.getConnection(url, username, password);
    
            //获取statement对象
            Statement statement = root.createStatement();
    
            //指定sql语句,要执行增删改可使用executeUpdate（）方法
            statement.execute(sql);

            statement.close();
            root.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}